Create or validate a Kubernetes cluster
post/midgard/v3.0/kubernetes/clusters
Creates a new Kubernetes cluster or validates its configuration when `onlyValidate` is set to true.Request
Authorization
X-AT
header
apiKey
Query Parameters
onlyValidateIf true, validates the cluster configuration without creating it.
boolean
Body
application/json
nameCluster name.
string
versionIdKubernetes version identifier.
string
updateWindowConfiguration of the cluster's update window.
object
object {}
dayOfWeekDay of the week (0–6) or null for 'any day'.
integer
fromHourEarliest hour at which updates are allowed to start.
integer
timezoneTime zone name.
string
nodePoolsList of node pool configurations.
array object[]
object {}
idUnique identifier of an existing node pool. Required when updating an existing node pool.
integer
deletedSetting to true will delete this node pool.
boolean
nameNode pool name.
string
instanceCountNumber of instances in the node pool.
integer
variationIdUnique identifier of the variation ID for the selected version.
integer
resourcesResource allocation per instance.
object
object {}
cpuNumber of CPU cores.
integer
memoryMemory in MiB.
integer
diskDisk size in GB.
integer
iaasProviders
array object[]
object {}
idUnique identifier of the provider.
integer
cityData center city.
string
privateIndicates if the provider operates a private infrastructure.
boolean
countryCodeISO 3166-1 alpha-2 country code.
string
Response
200Cluster created or validated successfully.
422Invalid request body or parameters.
500Internal server error.
Shell cURL
shellShow schema
json